UnknownMethod (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service
Class UnknownMethod

    java.lang.Object
      fr.inrialpes.exmo.align.service.Message
          fr.inrialpes.exmo.align.service.ErrorMsg
              fr.inrialpes.exmo.align.service.UnknownMethod

    public class UnknownMethod

extends ErrorMsg

Contains the messages that should be sent according to the protocol

Field Summary

Fields inherited from class fr.inrialpes.exmo.align.service.Message
`content, inReplyTo, parameters, receiver, sender, surrogate`

Constructor Summary
`UnknownMethod(int surr, Message rep, String from, String to, String cont, Properties param)`

Method Summary
`String` | `HTMLString()`
`String` | `RESTString()`

Methods inherited from class fr.inrialpes.exmo.align.service.ErrorMsg
`HTMLRESTString, SOAPString`

Methods inherited from class fr.inrialpes.exmo.align.service.Message
`getContent, getId, getInReplyTo, getParameters, getReceiver, getSender`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnknownMethod

    public UnknownMethod(int surr,
                         Message rep,
                         String from,
                         String to,
                         String cont,
                         Properties param)

Method Detail

### HTMLString

    public String HTMLString()

  Overrides:
    `HTMLString` in class `ErrorMsg`

### RESTString

    public String RESTString()

  Overrides:
    `RESTString` in class `ErrorMsg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010